<?php global $smartbiz; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
	<!-- Page Title -->
	<?php if ( is_front_page() ) : ?>
		<title><?php bloginfo( 'name'); ?></title>
	<?php elseif ( is_404() ) : ?>
		<title><?php ( 'Page Not Found'); ?> | <?php bloginfo( 'name'); ?></title>
	<?php elseif ( is_search() ) : ?>
		<title><?php printf(__ ("Search results for '%s'", "smartbiz"), esc_attr(get_search_query())); ?> | <?php bloginfo( 'name'); ?></title>
	<?php else : ?>
		<title><?php wp_title($sep = ''); ?> | <?php bloginfo( 'name'); ?></title>
	<?php endif; ?>

	<!-- Meta Data -->
	<meta name="description" content="<?php bloginfo( 'name'); ?>" />
	<meta name="copyright" content="Design is copyright 2010 - <?php echo date('Y'); ?> GetBusinessBlog.com" />
	<meta http-equiv="imagetoolbar" content="no" />
	<meta http-equiv="content-type" content="<?php bloginfo( 'html_type'); ?>; charset=<?php bloginfo( 'charset'); ?>" />
	<?php if ((is_single() || is_category() || is_page() || is_home()) && (!is_paged())){} else { ?>
		<meta name="robots" content="noindex,follow" />
	<?php } ?>

	<!-- Stylesheets -->
	<link href="<?php bloginfo( 'stylesheet_url'); ?>" type="text/css" media="screen" rel="stylesheet" />

	<!-- WordPress -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name'); ?> RSS Feed" href="<?php bloginfo( 'rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url'); ?>" />

	<!-- WP Hook -->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<?php wp_head(); ?>
</head>
<body <?php body_class()?>>
<?php if ( ! isset( $content_width ) ) $content_width = 900;?>
	<div id="wrapper">

		<div id="header-wrapper">
			<div id="header">
				<div id="logo">
					<?php if ($smartbiz->hideLogo() !== 'true' ): ?>
					<div class="title">
					<a href="<?php echo home_url(); ?>/"><img src="<?php if ($smartbiz->logoUrl() != '' ){ echo $smartbiz->paths['baseurl'] .'/images/logo/'.$smartbiz->logoUrl(); } else { echo get_template_directory_uri() .'/images/logo/logo_d.png';} ?>" alt="<?php echo bloginfo( 'name'); ?>" /></a>
					<?php endif; ?>
					<h1><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1>
					</div>
					<div class="desc">
					<p><?php bloginfo('description'); ?></p>
					</div>
				</div>
				
				<?php if ($smartbiz->showSearch() == 'true' ): ?>
				<div id="header-search">
					<form method="get" action="">
						<fieldset>
						<input type="text" name="s" id="header-search-text" size="15" />
						<input type="submit" id="header-search-submit" value="GO" />
						</fieldset>
					</form>
				</div>
				<?php endif; ?>	
			</div>
		</div>
	<!-- Menu -->
		<div id="menu">
			<ul class="dropdown">
				<li class="<?php if (is_home()) echo 'current_page_item'; ?>"><a href="<?php echo home_url(); ?>/" class="<?php if (is_home()) echo 'current_page_item'; ?>">Home</a></li>
				<?php smartbiz_nav(); ?>
			</ul>
		</div>
	<!-- End menu -->
		<?php if ($smartbiz->hideFeatured() !== 'true' ): ?>
		<div id="featured">
			<div class="text">
				<?php if ($smartbiz->headerFeatured() != '') : ?>
					<?php echo $smartbiz->headerFeatured(); ?>
				<?php else : ?>
					<p>Replace this with your custom text in the Header section of the <em>SmartBiz Options</em> page. Type some stuff in the box, click save, and your new featured section shows up in the header. You can also hide this section by checking the related box in the <em>SmartBiz Options</em>.</p>
					<p>Aliquam gravida posuere magna a venenatis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in diam mauris. Phasellus nunc dui, lacinia non sollicitudin dapibus, aliquam at lorem...</p>
				<?php endif; ?>
			</div>				
			<div class="img">
				<img src="<?php if ($smartbiz->headerUrl() != '' ) { echo $smartbiz->paths['baseurl'].'/images/featured/'.$smartbiz->headerUrl();} else { echo get_template_directory_uri().'/images/featured/featured_d.png';} ?>" alt="<?php echo bloginfo( 'name'); ?>" />
			</div>	
		</div>
	</div>
		<div id="page">
		<div id="page-bgtop">
		<div id="page-bgbtm">		
		<?php else : ?>
	</div>
		<div id="page">
		<div id="page-bgtop2">
		<div id="page-bgbtm">	
		<?php endif; ?>		
			
